clang 10.0.0git

Public Member Functions | List of all members
clang::Sema::SpecialMemberOverloadResultEntry Class Reference

`#include "clang/Sema/Sema.h"`

Inheritance diagram for clang::Sema::SpecialMemberOverloadResultEntry:
[legend]
Collaboration diagram for clang::Sema::SpecialMemberOverloadResultEntry:
[legend]

## Public Member Functions
| SpecialMemberOverloadResultEntry (const llvm::FoldingSetNodeID &ID)
Public Member Functions inherited from clang::Sema::SpecialMemberOverloadResult
| SpecialMemberOverloadResult ()
| SpecialMemberOverloadResult (CXXMethodDecl *MD)
CXXMethodDecl * | getMethod () const
void | setMethod (CXXMethodDecl *MD)
Kind | getKind () const
void | setKind (Kind K)

## Additional Inherited Members
Public Types inherited from clang::Sema::SpecialMemberOverloadResult
enum | Kind { NoMemberOrDeleted, Ambiguous, Success }

## Detailed Description

Definition at line 1154 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ SpecialMemberOverloadResultEntry()

clang::Sema::SpecialMemberOverloadResultEntry::SpecialMemberOverloadResultEntry | ( | const llvm::FoldingSetNodeID & | ID | ) |
| inline

Definition at line 1158 of file Sema.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h